Name:		cups-pk-helper
Version:	0.2.7
Release:	%mkrel 1
Summary:	A helper that makes system-config-printer use PolicyKit
Group:		System/Printing
License:	GPLv2+
URL:		https://www.freedesktop.org/wiki/Software/cups-pk-helper/
Source0:	https://www.freedesktop.org/software/cups-pk-helper/releases/cups-pk-helper-%{version}.tar.xz
BuildRequires:	cups-devel >= 1.2
BuildRequires:	pkgconfig(python) >= 2.4
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.12.0
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.74
BuildRequires:	pkgconfig(polkit-gobject-1) >= 0.92
BuildRequires:	polkit-gnome >= 0.92
BuildRequires:	meson

%description
cups-pk-helper is an application which makes cups configuration
interfaces available under control of PolicyKit.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name}

%files -f %{name}.lang
%{_libexecdir}/cups-pk-helper-mechanism
%config(noreplace) %{_datadir}/dbus-1/system.d/org.opensuse.CupsPkHelper.Mechanism.conf
%{_datadir}/dbus-1/system-services/org.opensuse.CupsPkHelper.Mechanism.service
%{_datadir}/polkit-1/actions/org.opensuse.cupspkhelper.mechanism.policy
%doc AUTHORS COPYING NEWS


%changelog
* Mon Sep 19 2022 luigiwalser <luigiwalser> 0.2.7-1.mga9
+ Revision: 1890667
- 0.2.7
- update source URL

* Fri Apr 01 2022 umeabot <umeabot> 0.2.6-5.mga9
+ Revision: 1839412
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.2.6-4.mga8
+ Revision: 1522150
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Mon Jan 21 2019 joequant <joequant> 0.2.6-3.mga7
+ Revision: 1358666
- change dependency - including python creates python2 dependency
  no other distro has this dependency

* Sun Sep 23 2018 umeabot <umeabot> 0.2.6-2.mga7
+ Revision: 1297372
- Mageia 7 Mass Rebuild

* Mon May 09 2016 luigiwalser <luigiwalser> 0.2.6-1.mga6
+ Revision: 1011342
- 0.2.6

* Fri Feb 12 2016 luigiwalser <luigiwalser> 0.2.5-5.mga6
+ Revision: 959301
- use configure2_5x

* Wed Oct 15 2014 umeabot <umeabot> 0.2.5-4.mga5
+ Revision: 749539
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.5-3.mga5
+ Revision: 678636
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.2.5-2.mga4
+ Revision: 531240
- Mageia 4 Mass Rebuild

* Fri Aug 02 2013 dams <dams> 0.2.5-1.mga4
+ Revision: 462612
- new version 0.2.5
- remove useless patches (merged upstream)
- update specfile

* Mon May 27 2013 dams <dams> 0.2.4-3.mga4
+ Revision: 428889
- add a patch to fix 'not a valid printer name' bug when installing a printer

* Fri Jan 11 2013 umeabot <umeabot> 0.2.4-3.mga3
+ Revision: 348479
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 cjw <cjw> 0.2.4-2.mga3
+ Revision: 338423
- patch1: fix build with automake 1.13

* Wed Oct 24 2012 luigiwalser <luigiwalser> 0.2.4-1.mga3
+ Revision: 309701
- 0.2.4
- call autoreconf as upstream no longer ships configure script
- 0.2.3 (fixes CVE-2012-4510)

* Tue Oct 18 2011 mikala <mikala> 0.2.1-1.mga2
+ Revision: 155999
- Update tarball to 0.2.1
- switch buildrequires to pkconfig()
- remove %%clean section
- remove %%defattr()

* Fri Jun 24 2011 mikala <mikala> 0.1.2-1.mga2
+ Revision: 112882
- imported package cups-pk-helper


* Wed Mar 23 2011 Marek Kasik <mkasik@redhat.com> - 0.1.2-1
- Update to 0.1.2

* Thu Mar 10 2011 Matthias Clasen <mclasen@redhat.com> - 0.1.1-1
- Update to 0.1.1
- Drop accumulated upstreamed patches

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Mar 22 2010 Marek Kasik <mkasik@redhat.com> - 0.0.4-13
- Add JobCancelPurge method
- Related: #548756

* Tue Feb 23 2010 Marek Kasik <mkasik@redhat.com> - 0.0.4-12
- Avoid timeout on job-related methods for invalid jobs
- Make sure to return an error via dbus in case of failure
- Remove a small leak
- Resolves: #548790

* Tue Feb 23 2010 Marek Kasik <mkasik@redhat.com> - 0.0.4-11
- Make cph_cups_job_get_status() efficient
- Resolves: #548771

* Tue Feb 23 2010 Marek Kasik <mkasik@redhat.com> - 0.0.4-10
- Fix adding of printers without specification of ppd-name.
- Patch by Tim Waugh.
- Resolves: #545452

* Tue Feb 23 2010 Marek Kasik <mkasik@redhat.com> - 0.0.4-9
- Allow inactive users and any user to authenticate
- Resolves: #543085

* Wed Sep 30 2009 Marek Kasik <mkasik@redhat.com> - 0.0.4-8
- Fix adding of printers without specification of device-uri.
- Patch by Tim Waugh.
- Resolves: #526442

* Tue Aug 18 2009 Marek Kasik <mkasik@redhat.com> - 0.0.4-7
- Fix policies to check when editing a job.

* Tue Aug 18 2009 Marek Kasik <mkasik@redhat.com> - 0.0.4-6
- Check result of polkit_authority_check_authorization_sync() for NULL.

* Thu Aug 13 2009 Marek Kasik <mkasik@redhat.com> - 0.0.4-5
- Add parameters to DevicesGet method.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jul 16 2009 Marek Kasik <mkasik@redhat.com> - 0.0.4-3
- Add devices_get() function.

* Thu Jun 18 2009 Marek Kasik <mkasik@redhat.com> - 0.0.4-2
- Update to polkit-1

* Tue Mar 31 2009 Marek Kasik <mkasik@redhat.com> - 0.0.4-1
- Update to 0.0.4

* Fri Feb 27 2009 Marek Kasik <mkasik@redhat.com> - 0.0.3-6
- Replace job-cancel, job-restart and job-set-hold-until with job-edit
- Replace job-cancel-another-owner, job-restart-another-owner
  and job-set-hold-until-another-owner with job-not-owned-edit
- Add cph_cups_job_get_status() function + some minor changes

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 13 2009 Marek Kasik <mkasik@redhat.com> 0.0.3-4
- Add ability to reconnect to CUPS server after its reload
  (caused by cupsAdminSetServerSettings() or cupsPutFile())

* Tue Jan 28 2009 Marek Kasik <mkasik@redhat.com> 0.0.3-3
- Add functions for handling jobs (JobRestart, JobCancel, JobSetHoldUntil)

* Tue Jan 26 2009 Marek Kasik <mkasik@redhat.com> 0.0.3-2
- Add handling of file:/ protocol
- Change order of checked policies so the PolicyKit asks only for
  "printer-enable" policy when enabling/disabling a printer
- Change order of checked policies so the PolicyKit asks only for
  "printer-set-default" policy when setting default printer

* Tue Jan 13 2009 Marek Kasik <mkasik@redhat.com> 0.0.3-1
- Initial spec file.
